API Reference
Attribution
Match app installs to link clicks for attribution.
Attribution Match
Match a new app install to a previously recorded link click. The match cascade tries strategies in order: referrer, device ID (IDFV), fingerprint, and raw device signals.
Either provide a pre-computed fingerprint, a referrer string, a device_id, or raw device signals (accept_language + screen_width + screen_height + timezone_offset + user_agent). When raw signals are provided, the server computes the fingerprint using the request's IP address.
Authorization
bearerAuth AuthorizationBearer <token>
API key in format wl_live_xxx (production) or wl_test_xxx (test).
In: header
Request Body
application/json
fingerprint?string
SHA-256 fingerprint hex string.
Match
^[a-f0-9]{64}$platform*string
Value in
"ios" | "android"fingerprint_version*string
Value in
"basic" | "enriched"sdk_version*string
device_id?string
IDFV (iOS) or equivalent device identifier.
Format
uuidreferrer?string
Install referrer string (Google Play).
accept_language?string
screen_width?integer
Range
0 <= valuescreen_height?integer
Range
0 <= valuetimezone_offset?integer
user_agent?string
Response Body
application/json
application/json
curl -X POST "https://api.warplink.app/v1/attribution/match" \ -H "Content-Type: application/json" \ -d '{ "platform": "ios", "fingerprint_version": "basic", "sdk_version": "string" }'{
"matched": true,
"match_type": "deterministic",
"match_confidence": 1,
"link_id": "02a2c2f0-9521-47cc-9615-2e177adeebac",
"deep_link_url": "string",
"destination_url": "string",
"custom_params": {},
"install_id": "a2b40014-cdc0-48fd-8231-b43135445da9",
"app_id": "affd1d10-9538-4fc8-9e0b-4594a28c1335"
}{
"error": {
"code": "NOT_FOUND",
"message": "Link not found",
"details": {
"fields": [
{
"field": "string",
"message": "string"
}
]
}
}
}